LibreOffice LibreOffice 6.1 SDK API Reference

List of all members
MimeContentTypeFactory Service Referencepublished

Used to create an instance that implement the interface XMimeContentType from a string representation of such a MIME content-type that conforms to Rfc2045 and Rfc2046. More...

`import"MimeContentTypeFactory.idl";`

Inheritance diagram for MimeContentTypeFactory:

## Additional Inherited Members
Public Member Functions inherited from XMimeContentTypeFactory
com::sun::star::datatransfer::XMimeContentType | createMimeContentType ([in] string aContentType) raises ( com::sun::star::lang::IllegalArgumentException )
| Creates an object that implements XMimeContentType. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

Used to create an instance that implement the interface XMimeContentType from a string representation of such a MIME content-type that conforms to Rfc2045 and Rfc2046.

See also
  com::sun::star::datatransfer::XMimeContentTypeFactory

The documentation for this service was generated from the following file:

- com/sun/star/datatransfer/MimeContentTypeFactory.idl